/*
 * #%L
 * Alfresco Transform Model
 * %%
 * Copyright (C) 2005 - 2021 Alfresco Software Limited
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Lesser Public License for more details.
 *
 * You should have received a copy of the GNU General Lesser Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/lgpl-3.0.html>.
 * #L%
 */
package org.alfresco.transform.client.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class FailOverStep implements Serializable
{
    private String initialRequestId;
    private List<String> transformsToBeDone = new ArrayList<>();
    private String sourceMimetype;
    private String sourceExtension;
    private String targetMimetype;
    private String targetExtension;
    private Long sourceSize;

    public String getInitialRequestId() 
    {
        return initialRequestId;
    }

    public void setInitialRequestId(String initialRequestId) 
    {
        this.initialRequestId = initialRequestId;
    }

    public List<String> getTransformsToBeDone() 
    {
        return transformsToBeDone;
    }

    public void setTransformsToBeDone(List<String> transformsToBeDone) 
    {
        this.transformsToBeDone = transformsToBeDone;
    }

    public String getSourceMimetype() 
    {
        return sourceMimetype;
    }

    public void setSourceMimetype(String sourceMimetype) 
    {
        this.sourceMimetype = sourceMimetype;
    }

    public String getSourceExtension() 
    {
        return sourceExtension;
    }

    public void setSourceExtension(String sourceExtension) 
    {
        this.sourceExtension = sourceExtension;
    }

    public String getTargetMimetype() 
    {
        return targetMimetype;
    }

    public void setTargetMimetype(String targetMimetype) 
    {
        this.targetMimetype = targetMimetype;
    }

    public String getTargetExtension() 
    {
        return targetExtension;
    }

    public void setTargetExtension(String targetExtension) 
    {
        this.targetExtension = targetExtension;
    }

    public Long getSourceSize() 
    {
        return sourceSize;
    }

    public void setSourceSize(Long sourceSize) 
    {
        this.sourceSize = sourceSize;
    }
    
    @Override public String toString()
    {
        return "FailOverStep{" +
               "initialRequestId='" + initialRequestId + '\'' +
               ", sourceMimetype='" + sourceMimetype + '\'' +
               ", sourceExtension='" + sourceExtension + '\'' +
               ", targetMimetype='" + targetMimetype + '\'' +
               ", targetExtension='" + targetExtension + '\'' +
               ", sourceSize='" + sourceSize + '\'' +
               ", transformsToBeDone=" + transformsToBeDone +
               '}';
    }
}
